ScenebrewDevelopers
API referenceSessions

List Sessions

GET
/v1/projects/{project_id}/sessions

The project's sessions — the designers' conversations — pinned first, then most recently active, each with the entities it refers to. Requires the read scope.

AuthorizationBearer <token>

First-party API key (sbk_live_…), presented as a Bearer token.

In: header

Path Parameters

project_id*Project Id
Formatuuid

Query Parameters

status?|

Only this status.

q?|

Title search.

limit?Limit

Items per page

Range1 <= value <= 100
Default20
cursor?|

The next_cursor of the previous page; omit for the first page.

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/sessions"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",      "title": "string",      "status": "string",      "pinned": false,      "model": "string",      "turn_count": 0,      "last_message_preview": "string",      "context": [],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "last_activity_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string",  "total": 0}